flow123d_version: 2.0.0
problem: !Coupling_Sequential
  description: "Sorption with sources - no flow, no transport, only source term and\
    \ sorptions. \nQualitative and mass balance check.\n- A - check sorption none\
    \ (with source, init_conc_solid)"
  mesh:
    mesh_file: ../00_mesh/prism_11el.msh
    regions:
      - !Union
        name: .boundary
        regions:
          - .back
          - .front
          - .left
          - .up
          - .down
  flow_equation: !Flow_Darcy_MH
    output_specific:
    nonlinear_solver:
      linear_solver: !Petsc
        a_tol: 1.0e-07
    input_fields:
      - region: volume
        conductivity: 1.0e-10
      - region: .boundary
        bc_type: dirichlet
        bc_piezo_head: 0
    output:
      fields:
        - pressure_p0
        - pressure_p1
        - velocity_p0
    balance: {}
    output_stream:
      file: test_20.pvd
      format: !vtk
        variant: ascii
  solute_equation: !Coupling_OperatorSplitting
    transport: !Solute_Advection_FV
      input_fields:
        - region: volume
          init_conc: 0.0
          porosity: 0.25
          sources_density:
            - 0
            - 0.8
            - 0.2
            - 0.3
            - 0.5
          sources_conc:
            - 0.5
            - 0
            - 0
            - 0
            - 0
          sources_sigma:
            - 1.5
            - 0
            - 0
            - 0
            - 0
        - region: .boundary
          bc_conc: 0
    substances:
      - A
      - As-lin-limit
      - As-lin
      - As-lang
      - As-freund
    reaction_term: !Sorption
      solvent_density: 1.0
      substances:
        - As-lin-limit
        - As-lin
        - A
        - As-lang
        - As-freund
      solubility:
        - 1.0
        - 1.0
        - 0.1
        - 1.0
        - 1.0
      input_fields:
        - region: volume
          init_conc_solid:
            - 0
            - 0
            - 0.5
            - 0
            - 0
          rock_density: 1.0
          sorption_type:
            - linear
            # reach solubility limit
            - linear
            - none
            # no sorption - trying to switch off
            - langmuir
            - freundlich
          isotherm_mult: 0.6
          isotherm_other: 0.4
    time:
      end_time: 1.0
    balance:
      cumulative: true
    output_stream:
      file: transport_test_20.pvd
      format: !vtk
        variant: ascii
  # secondary_equation
# problem
# root
      times:
        - step: 0.2